/*
 * Copyright 2026 Oleg Borodin <onborodin@gmail.com>
 *
 * This work is published and licensed under a Creative Commons
 * Attribution-NonCommercial-NoDerivatives 4.0 International License.
 *
 * Distribution of this work is permitted, but commercial use and
 * modifications are strictly prohibited.
 */
package auxtool

import (
	"encoding/hex"
	"fmt"
	"math/rand"
	"time"
)

func init() {
	rand.Seed(time.Now().UnixNano())
}

func MakeTmpFilename(prefix string) string {
	randBytes := make([]byte, 6)
	rand.Read(randBytes)
	suffix := hex.EncodeToString(randBytes)
	return fmt.Sprintf("%s.tmp.%s", prefix, suffix)
}
